# $Revision: 1.30 $, $Date: 2010/06/06 08:36:59 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Gnome2
%define		pnam	VFS
Summary:	Perl bindings for the GNOME Virtual File System
Summary(pl.UTF-8):	Dowiązania Perla dla biblioteki GNOME Virtual File System
Name:		perl-Gnome2-VFS
Version:	1.081
Release:	2
License:	LGPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Gnome2/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3d220cbbe9f1ebc78d7047593f9cd633
URL:		http://gtk2-perl.sourceforge.net/
BuildRequires:	gnome-vfs2-devel >= 2.14.1
BuildRequires:	perl-ExtUtils-Depends >= 0.201
BuildRequires:	perl-ExtUtils-PkgConfig >= 1.03
BuildRequires:	perl-Glib >= 1.120
BuildRequires:	perl-Gtk2 >= 1.121
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	gnome-vfs2-libs >= 2.14.1
Requires:	perl-Glib >= 1.120
Requires:	perl-Gtk2 >= 1.121
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The VFS module allows a perl developer to use the GNOME Virtual File
System.

%description -l pl.UTF-8
Moduł VFS pozwala programistom perlowym na używanie biblioteki GNOME
Virtual File System.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/Gnome2/VFS/{*,*/*,*/*/*}.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README
%dir %{perl_vendorarch}/Gnome2/VFS
%{perl_vendorarch}/Gnome2/VFS/Install
%{perl_vendorarch}/Gnome2/*.pm
%dir %{perl_vendorarch}/auto/Gnome2/VFS
%attr(755,root,root) %{perl_vendorarch}/auto/Gnome2/VFS/*.so
%{perl_vendorarch}/auto/Gnome2/VFS/*.bs
%{_mandir}/man3/Gnome2::VFS*.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Gnome2-VFS.spec,v $
Revision 1.30  2010/06/06 08:36:59  arekm
- release 2

Revision 1.29  2008/03/02 16:44:12  radek
- version 1.081

Revision 1.28  2008-02-08 19:17:21  arekm
- rel 2

Revision 1.27  2008-01-10 08:38:38  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.26  2007-12-01 22:06:25  qboosh
- updated to 1.080

Revision 1.25  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.24  2007/02/12 00:49:33  baggins
- converted to UTF-8

Revision 1.23  2006/12/10 13:03:18  qboosh
- updated to 1.061

Revision 1.22  2006/07/26 16:03:33  glen
- unify sourceforge url

Revision 1.21  2006/05/26 23:38:24  qboosh
- merged deps update from AC-branch

Revision 1.19.2.2  2006/05/18 21:22:00  baggins
- release 3
- strict reqs

Revision 1.19.2.1  2006/05/15 13:37:51  baggins
- merged from HEAD
- BRs for GNOME 2.14

Revision 1.20  2006/04/05 17:20:11  freetz
- 1.060

Revision 1.19  2005/10/08 12:09:25  freetz
- 1.041

Revision 1.18  2005/09/09 13:08:44  freetz
- 1.040

Revision 1.17  2004/11/03 22:30:24  paladine
- formatting

Revision 1.16  2004/11/03 13:13:12  paladine
- spaces->tabs
- formatting

Revision 1.15  2004/08/13 15:25:20  ankry
- s/Gnome/GNOME/

Revision 1.14  2004/07/25 21:50:27  freetz
- 1.003

Revision 1.13  2004/06/07 17:52:10  qboosh
- fixed Name

Revision 1.12  2004/06/05 20:26:53  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.11  2004/04/21 08:40:39  ankry
- license fixes/unification

Revision 1.10  2004/04/14 16:45:10  ankry
- cosmetics

Revision 1.9  2004/04/01 15:54:16  freetz
- 1.001

Revision 1.8  2004/03/24 21:20:06  freetz
- 1.00

Revision 1.7  2004/03/11 12:27:18  freetz
- 0.96

Revision 1.6  2004/02/16 22:49:58  freetz
- 0.94, more Rs/BRs, depends on perl-Glib from DEVEL

Revision 1.5  2004/01/30 10:29:22  freetz
- BRs updated for new perl-Glib and perl-Gtk2

Revision 1.4  2004/01/30 10:21:22  freetz
- up to 0.90

Revision 1.3  2004/01/07 16:18:37  freetz
- 0.10

Revision 1.2  2003/11/30 19:58:25  freetz
- BR gnome-vfs2-devel >= 2.0.0

Revision 1.1  2003/11/30 19:16:34  freetz
- initial
